/* Walter Guttmann */
#include <algorithm>
#include <cassert>
#include <fstream>
#include <iostream>

using namespace std;

#define in cin

const double pi = 3.14159265358979;

int main() {
  double a, b;
  while (in >> a >> b) {
    if (a == 0 && b == 0)
      break;
    assert(1 <= a && a <= 100 && 1 <= b && b <= 100);
    double h = min(a, b);
    double w = max(a, b);
    double v1 = (h*h*w*pi-h*h*h)/(4*pi*pi);
    double t = min(h,w/(pi+1));
    double v2 = t*t*pi*h/4;
    double v = max(v1, v2);
    printf("%.3f\n", v);
  }
  return 0;
}

